> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pay Group

> Read information from a single pay group



## OpenAPI

````yaml get /employer/pay-groups/{pay_group_id}
openapi: 3.1.0
info:
  title: API Reference
  version: '2020-09-17'
  contact: {}
  description: >-
    The Finch HRIS API provides a unified way to connect to a multitide of HRIS
    systems. The API requires an access token issued by Finch.


    By default, Organization and Payroll requests use Finch's [Data
    Syncs](/developer-resources/Data-Syncs). If a request is made before the
    initial sync has completed, Finch will request data live from the provider.
    The latency on live requests may range from seconds to minutes depending on
    the provider and batch size.

    For automated integrations, Deductions requests (both read and write) are
    always made live to the provider. Latencies may range from seconds to
    minutes depending on the provider and batch size.



    Employer products are specified by the product parameter, a space-separated
    list of products that your application requests from an employer
    authenticating through Finch Connect. Valid product names are—

    - `company`: Read basic company data


    - `directory`: Read company directory and organization structure


    - `individual`: Read individual data, excluding income and employment data


    - `employment`: Read individual employment and income data


    - `payment`: Read payroll and contractor related payments by the company


    - `pay_statement`: Read detailed pay statements for each individual


    - `benefits`: Create and manage deductions and contributions and enrollment
    for an employer


    [![Open in
    Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4?action=collection%2Ffork&collection-url=entityId%3D21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4%26entityType%3Dcollection%26workspaceId%3D1edf19bc-e0a8-41e9-ac55-481a4b50790b)
servers:
  - url: https://api.tryfinch.com
    description: ''
security: []
tags:
  - name: Organization
  - name: Payroll
  - name: Deductions
  - name: Management
  - name: Sandbox
paths:
  /employer/pay-groups/{pay_group_id}:
    parameters:
      - schema:
          type: string
        name: pay_group_id
        in: path
        required: true
    get:
      tags:
        - Payroll
      summary: Get Pay Group
      description: Read information from a single pay group
      operationId: get-pay-group
      parameters:
        - name: entity_ids
          in: query
          required: false
          description: The entity IDs to specify which entities' data to access.
          schema:
            type: array
            items:
              type: string
              format: uuid
            minItems: 1
            maxItems: 1
            example:
              - 550e8400-e29b-41d4-a716-446655440000
          style: form
          explode: true
        - $ref: '#/components/parameters/API-Version'
      responses:
        '200':
          description: Pay group data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPayGroupResponse'
              examples:
                Success:
                  value:
                    id: 5d0b10a1-a09a-430f-81f1-20be735dc5e9
                    name: Monthly
                    pay_frequencies:
                      - monthly
                    individual_ids:
                      - be7b048c-a6f3-4194-a017-2f537d4f3565
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Finch from '@tryfinch/finch-api';


            const client = new Finch({
              accessToken: 'My Access Token',
            });


            const payGroup = await
            client.payroll.payGroups.retrieve('pay_group_id');


            console.log(payGroup.id);
        - lang: Python
          source: |-
            from finch import Finch

            client = Finch(
                access_token="My Access Token",
            )
            pay_group = client.payroll.pay_groups.retrieve(
                pay_group_id="pay_group_id",
            )
            print(pay_group.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/Finch-API/finch-api-go\"\n\t\"github.com/Finch-API/finch-api-go/option\"\n)\n\nfunc main() {\n\tclient := finchgo.NewClient(\n\t\toption.WithAccessToken(\"My Access Token\"),\n\t)\n\tpayGroup, err := client.Payroll.PayGroups.Get(\n\t\tcontext.TODO(),\n\t\t\"pay_group_id\",\n\t\tfinchgo.PayrollPayGroupGetParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", payGroup.ID)\n}\n"
        - lang: Java
          source: |-
            package com.tryfinch.api.example;

            import com.tryfinch.api.client.FinchClient;
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
            import com.tryfinch.api.models.PayGroupRetrieveResponse;
            import com.tryfinch.api.models.PayrollPayGroupRetrieveParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    FinchClient client = FinchOkHttpClient.builder()
                        .fromEnv()
                        .accessToken("My Access Token")
                        .build();

                    PayGroupRetrieveResponse payGroup = client.payroll().payGroups().retrieve("pay_group_id");
                }
            }
        - lang: Kotlin
          source: |-
            package com.tryfinch.api.example

            import com.tryfinch.api.client.FinchClient
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient
            import com.tryfinch.api.models.PayGroupRetrieveResponse
            import com.tryfinch.api.models.PayrollPayGroupRetrieveParams

            fun main() {
                val client: FinchClient = FinchOkHttpClient.builder()
                    .fromEnv()
                    .accessToken("My Access Token")
                    .build()

                val payGroup: PayGroupRetrieveResponse = client.payroll().payGroups().retrieve("pay_group_id")
            }
        - lang: Ruby
          source: |-
            require "finch_api"

            finch = FinchAPI::Client.new(access_token: "My Access Token")

            pay_group = finch.payroll.pay_groups.retrieve("pay_group_id")

            puts(pay_group)
components:
  parameters:
    API-Version:
      name: Finch-API-Version
      in: header
      required: true
      schema:
        type: string
        default: '2020-09-17'
        format: date
        pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2020-09-17.
  schemas:
    GetPayGroupResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Finch id (uuidv4) for the pay group
        name:
          type: string
          description: Name of the pay group
        pay_frequencies:
          type: array
          items:
            $ref: '#/components/schemas/PayFrequency'
          description: List of pay frequencies associated with this pay group
        individual_ids:
          type: array
          items:
            type: string
            format: uuid
            description: Finch id (uuidv4) for an individual assigned to this pay group
      required:
        - id
        - name
        - pay_frequencies
        - individual_ids
    PayFrequency:
      type: string
      enum:
        - annually
        - bi_weekly
        - daily
        - monthly
        - other
        - quarterly
        - semi_annually
        - semi_monthly
        - weekly
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your Access Token

````